from contacts.Contact import Contact
from contacts.Identifier import Identifier, IdentifierTypes, IdentifierContext


def translate_vcf_to_contacts(vcf_archive):
    contacts = []
    for vcf in vcf_archive:
        contacts.append(
            Contact(
                name=vcf.name,
                notes=vcf.notes,
                identifier=Identifier(
                    context=IdentifierContext.Personal,
                    key=IdentifierTypes.Phone,
                    val=vcf.phone,
                ),
            )
        )
    return contacts


def print_out(args):
    print("foo")
